{"openapi":"3.0.0","info":{"version":"2.0.0","title":"A/B Platform","description":"Платформа для А/Б тестирования"},"servers":[{"url":"https://back.abplatform.x5.ru","description":"A/B Platform Prod API"},{"url":"https://back.abplatform-demo.x5.ru","description":"A/B Platform Demo API"},{"url":"https://back.abplatform-test.x5.ru","description":"A/B Platform Test API"},{"url":"https://back.abplatform-dev.x5.ru","description":"A/B Platform Dev API"}],"tags":[{"name":"Эксперименты","description":"Интерфейс экспериментов"}],"paths":{"/api/fe/experiments/{id}/define_pilot/":{"parameters":[{"schema":{"type":"string"},"name":"id","in":"path","required":true,"description":"Идентификатор эксперимента"}],"put":{"tags":["Эксперименты"],"summary":"Назначить пилотную группу магазинов","description":"Назначение пилотной группы магазинов","requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","example":"G475"}},"required":["id"]}}}}},"responses":{"200":{"description":"Ok","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/PaginatedResponse"},{"type":"object","properties":{"results":{"type":"array","items":{"$ref":"#/components/schemas/ReachShop"}}}},{"type":"object","properties":{"fail":{"type":"object","properties":{"ids":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","example":"Y877"}}}}}}}}]}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"}},"operationId":"put-api-fe-define-pilot-id-add"}}},"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"GeoObject":{"type":"object","title":"GeoObject","properties":{"id":{"type":"integer","format":"int32"},"name":{"type":"string"},"retail":{"$ref":"#/components/schemas/Retail"},"code":{"type":"string"}},"required":["id"]},"City":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"name":{"type":"string"}},"required":["id"]},"Retail":{"type":"string","enum":["TCX","TC5","TCK"]},"ReachShop":{"type":"object","properties":{"id":{"type":"string","example":"G475","description":"Идентификатор магазина SAP ID"},"name":{"type":"string"},"macro":{"$ref":"#/components/schemas/GeoObject"},"division":{"$ref":"#/components/schemas/GeoObject"},"assort_cluster":{"$ref":"#/components/schemas/GeoObject"},"price_cluster":{"$ref":"#/components/schemas/GeoObject"},"management_cluster":{"$ref":"#/components/schemas/GeoObject"},"city":{"$ref":"#/components/schemas/City"},"address":{"type":"string"},"phone":{"type":"string"},"is_working":{"type":"boolean"},"pilot_status":{"type":"string","enum":["vacant","busy"],"example":"busy"},"pilot_to_date":{"type":"string","format":"date","nullable":true}},"required":["id","name","city","address","phone"]},"PaginatedResponse":{"title":"PaginatedResponse","type":"object","properties":{"count":{"type":"integer","minimum":0},"next":{"type":"string","nullable":true},"previous":{"type":"string","nullable":true}}}}},"security":[{"bearerAuth":[]}]}